/*
 * SPDX-FileCopyrightText: 2016-2020 Bruce Cowan <bruce@bcowan.me.uk>
 * SPDX-License-Identifier: GPL-3.0-or-later
 */

#pragma once

#include <glib-object.h>

G_BEGIN_DECLS

#define GLOB_TYPE_MATCH_ITEM glob_match_item_get_type ()
G_DECLARE_FINAL_TYPE (GlobMatchItem, glob_match_item, GLOB, MATCH_ITEM, GObject)

GlobMatchItem *    glob_match_item_new (const char     *word,
                                        GMatchInfo     *match);

const char * glob_match_item_get_word  (GlobMatchItem *self);
GMatchInfo * glob_match_item_get_match (GlobMatchItem *self);

G_END_DECLS
